flags = commandArgs(T)
fstub = ifelse(length(flags) > 0, flags[1], "step2")
fout = ifelse(length(flags) > 1, flags[2], "allgenes")

dat = read.table(paste(".tmp", fstub, sep=""), header=F, stringsAsFactors=F)
pval = sort(as.numeric(dat$V2[!is.na(dat$V2)]))

N = length(pval)
expected = (1:N)/N

png(paste(fstub, fout, "qqplot.png", sep="."), 1000, 1000)
max.val = -log10(min(expected[1], pval[1]))
main.label = ifelse(fout == "allsnps", "All SNPs", paste("Gene-set = ", fout, sep=""))

plot(-log10(expected), -log10(pval), xlim= c(0,max.val), ylim=c(0,max.val) , xlab = "Expected -log10(P)", ylab = "Observed -log10(P)", pch=20, main=main.label, cex.main=1, cex.lab=1, col = "black")
abline(0,1, col = "red", lwd=1.5)
invisible(dev.off())
